include(ExternalProject)

if (CMAKE_TOOLCHAIN_FILE)
    if(NOT IS_ABSOLUTE ${CMAKE_TOOLCHAIN_FILE})
        set(TOOLCHAIN "${CMAKE_BINARY_DIR}/${CMAKE_TOOLCHAIN_FILE}")
    else()
        set(TOOLCHAIN "${CMAKE_TOOLCHAIN_FILE}")
    endif()
endif()

add_subdirectory(glm)
if (NOT ANDROID AND NOT IOS)
    add_subdirectory(glfw)
    add_subdirectory(ftxui)
endif()
add_subdirectory(ankerl-unordered_dense)
add_subdirectory(assimp)
add_subdirectory(fmt)
add_subdirectory(spdlog)
add_subdirectory(yaml-cpp)
add_subdirectory(magic-enum)
add_subdirectory(pugixml)
add_subdirectory(stb)
add_subdirectory(eigen)
add_subdirectory(utfcpp)
add_subdirectory(imgui)
add_subdirectory(tracy)
add_subdirectory(libstud-uuid)
add_subdirectory(rapidyaml)
add_subdirectory(libarchive)
#add_subdirectory(boost)
add_subdirectory(units)
add_subdirectory(libjpeg-turbo)
add_subdirectory(msdf)
add_subdirectory(eastl)
add_subdirectory(moodycamel_concurrentqueue)
add_subdirectory(tinyusdz)
add_subdirectory(dds_image)

if (NOT IOS AND OPENVULKANO_ENABLE_CURL)
    add_subdirectory(curl)
endif()

if (OPENVULKANO_ENABLE_TEST)
    add_subdirectory(catch2)
endif ()

if (OPENVULKANO_ENABLE_KTX)
    add_subdirectory(ktx-software)
endif ()